Bug 45007 - ftp SRPM needs build-dependency on libtermcap-devel
Summary: ftp SRPM needs build-dependency on libtermcap-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ftp   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-19 15:51 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 13:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-19 15:51:28 UTC
Description of Problem: with the 7.1 product, you cannot build the ftp SRPM
without having libtermcap-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/ftp*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
libtermcap-devel rpm, the ftp SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e libtermcap-devel
   2. rpm -Uvh <tree-path>/SRPMS/ftp*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/ftp*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/libtermcap-devel*
   5. rpm -ba /usr/src/redhat/SPECS/ftp*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the ftp SRPM cannot be built without installing the
libtermcap-devel RPM.

Comment 1 Bernhard Rosenkraenzer 2001-06-25 14:41:36 UTC
BuildRequires: dependencies added in 0.17-12.
You're wrong about the actual requirement though, ftp wants ncurses-devel, it 
just falls back to libtermcap-devel if it can't find ncurses.



Note You need to log in before you can comment on or make changes to this bug.